diff --git python-routes/python-routes.spec python-routes/python-routes.spec.tmp
index 5dffaa8b6d..01c0e6883d 100644
--- python-routes/python-routes.spec
+++ python-routes/python-routes.spec.tmp
@@ -6,7 +6,7 @@
 
 Name: python-routes
 Version: 2.4.1
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Rails-like routes for Python
 
 Group: Development/Languages
@@ -32,18 +32,24 @@ BuildRequires: python3-repoze-lru
 BuildRequires: python3-six
 %endif
 
-Requires: python-repoze-lru
-Requires: python-six
 
-Provides: python2-routes
+%global _description\
+Routes is a Python re-implementation of the Rails routes system for mapping\
+URL's to Controllers/Actions and generating URL's. Routes makes it easy to\
+create pretty and concise URL's that are RESTful with little effort.\
+\
+This package contains the module built for python2.
 
+%description %_description
 
-%description
-Routes is a Python re-implementation of the Rails routes system for mapping
-URL's to Controllers/Actions and generating URL's. Routes makes it easy to
-create pretty and concise URL's that are RESTful with little effort.
+%package -n python2-routes
+Summary: %summary
+Provides: python2-routes
+Requires: python-six
+Requires: python-repoze-lru
+%{?python_provide:%python_provide python2-routes}
 
-This package contains the module built for python2.
+%description -n python2-routes %_description
 
 %if 0%{?with_python3}
 %package -n python3-routes
@@ -99,7 +105,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-routes
 %defattr(-,root,root,-)
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.txt
@@ -115,6 +121,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.1-3
+- Python 2 subpackage renamed to python2-routes
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rpyc/python-rpyc.spec python-rpyc/python-rpyc.spec.tmp
index ca89b05c49..03dc5228ae 100644
--- python-rpyc/python-rpyc.spec
+++ python-rpyc/python-rpyc.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{modname}
 Version:        3.3.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A Transparent, Symmetrical Python Library for Distributed-Computing
 URL:            http://rpyc.wikidot.com/
 License:        MIT
@@ -16,15 +16,23 @@ BuildRequires:  python-setuptools
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
-Requires:       python-plumbum
 
-%description
-RPyC, or Remote Python Call, is a transparent and symmetrical python library
-for remote procedure calls, clustering and distributed-computing.
-RPyC makes use of object-proxies, a technique that employs python's dynamic
-nature, to overcome the physical boundaries between processes and computers,
+%global _description\
+RPyC, or Remote Python Call, is a transparent and symmetrical python library\
+for remote procedure calls, clustering and distributed-computing.\
+RPyC makes use of object-proxies, a technique that employs python's dynamic\
+nature, to overcome the physical boundaries between processes and computers,\
 so that remote objects can be manipulated as if they were local.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+Requires:       python-plumbum
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{modname}
 Summary:        A Transparent, Symmetrical Python Library for Distributed-Computing
@@ -71,7 +79,7 @@ done
 mv %{buildroot}%{_bindir}/rpyc_classic.py %{buildroot}%{_bindir}/rpyc_classic
 mv %{buildroot}%{_bindir}/rpyc_registry.py %{buildroot}%{_bindir}/rpyc_registry
 
-%files
+%files -n python2-%{modname}
 %{_bindir}/rpyc_*
 %{python2_sitelib}/*
 
@@ -82,6 +90,10 @@ mv %{buildroot}%{_bindir}/rpyc_registry.py %{buildroot}%{_bindir}/rpyc_registry
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.3.0-9
+- Python 2 subpackage renamed to python2-rpyc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rsslib/python-rsslib.spec python-rsslib/python-rsslib.spec.tmp
index 4afc5d4565..14d087c326 100644
--- python-rsslib/python-rsslib.spec
+++ python-rsslib/python-rsslib.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-rsslib
 Version:        0
-Release:        9.20130310%{?dist}
+Release:        10.20130310%{?dist}
 Summary:        Create RSS feeds in Python
 License:        Copyright only
 URL:            http://berserk.org/rsslib/
@@ -9,10 +9,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 
 
-%description
-This library encapsulates the generation of an RSS (2.0) feed.
+%global _description\
+This library encapsulates the generation of an RSS (2.0) feed.\
 
 
+%description %_description
+
+%package -n python2-rsslib
+Summary: %summary
+%{?python_provide:%python_provide python2-rsslib}
+
+%description -n python2-rsslib %_description
+
 %prep
 %setup -c -T
 cp %{SOURCE0} ./rsslib.py
@@ -40,11 +48,15 @@ python setup.py build
 python setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-rsslib
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0-10.20130310
+- Python 2 subpackage renamed to python2-rsslib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-9.20130310
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rtkit/python-rtkit.spec python-rtkit/python-rtkit.spec.tmp
index 76d4ac05ad..23455876c0 100644
--- python-rtkit/python-rtkit.spec
+++ python-rtkit/python-rtkit.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-rtkit
 Version:        0.6.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        A python interface to the Request Tracker API
 
 Group:          Development/Languages
@@ -11,12 +11,20 @@ Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{versi
 BuildArch:      noarch
 BuildRequires:  python-setuptools
 BuildRequires:  python2-devel
-Requires:       python-urllib2_kerberos
 
-%description
-A Python module providing access to the Best Practical Request Tracker (RT)
-REST interface.
+%global _description\
+A Python module providing access to the Best Practical Request Tracker (RT)\
+REST interface.\
+
+
+%description %_description
 
+%package -n python2-rtkit
+Summary: %summary
+Requires:       python-urllib2_kerberos
+%{?python_provide:%python_provide python2-rtkit}
+
+%description -n python2-rtkit %_description
 
 %prep
 %setup -q
@@ -34,12 +42,16 @@ rm -rf %{name}.egg-info
 %check
 # Tests disabled while missing deps are packaged
 
-%files
+%files -n python2-rtkit
 %{python2_sitelib}/*
 %doc README.rst LICENSE
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-8
+- Python 2 subpackage renamed to python2-rtkit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-Rtree/python-Rtree.spec python-Rtree/python-Rtree.spec.tmp
index 1e297bc0c5..efffb9e3c2 100644
--- python-Rtree/python-Rtree.spec
+++ python-Rtree/python-Rtree.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-Rtree
 Version:        0.7.0
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Python wrapper of the spatialindex library
 
 Group:          Development/Libraries
@@ -19,25 +19,32 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  spatialindex-devel
 
-Requires:       spatialindex
-
 BuildArch:      noarch
 
-%description
-Rtree is a ctypes Python wrapper of the spatialindex library, that
-provides a number of advanced spatial indexing features for the 
-spatially curious Python user. These features include:
-
--Nearest neighbor search
--Intersection search
--Multi-dimensional indexes
--Clustered indexes (store Python pickles directly with index entries)
--Bulk loading
--Deletion
--Disk serialization
--Custom storage implementation
- (to implement spatial indexing in ZODB, for example)
+%global _description\
+Rtree is a ctypes Python wrapper of the spatialindex library, that\
+provides a number of advanced spatial indexing features for the\
+spatially curious Python user. These features include:\
+\
+-Nearest neighbor search\
+-Intersection search\
+-Multi-dimensional indexes\
+-Clustered indexes (store Python pickles directly with index entries)\
+-Bulk loading\
+-Deletion\
+-Disk serialization\
+-Custom storage implementation\
+ (to implement spatial indexing in ZODB, for example)\
+
+
+%description %_description
+
+%package -n python2-rtree
+Summary: %summary
+Requires:       spatialindex
+%{?python_provide:%python_provide python2-rtree}
 
+%description -n python2-rtree %_description
 
 %prep
 %setup -q -n %{oname}-%{version}
@@ -63,13 +70,17 @@ rm -rf %{oname}.egg-info
 %{__python} setup.py test || :
 
 
-%files
+%files -n python2-rtree
 #TODO: Consider to include further documentation (BR Sphinx)
 %doc docs/source/README.txt
 %{python_sitelib}/rtree
 %{python_sitelib}/%{oname}-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-12
+- Python 2 subpackage renamed to python2-rtree
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rxjson/python-rxjson.spec python-rxjson/python-rxjson.spec.tmp
index 9db2e672cc..4810cba711 100644
--- python-rxjson/python-rxjson.spec
+++ python-rxjson/python-rxjson.spec.tmp
@@ -16,7 +16,7 @@
 Name:             python-rxjson
 Summary:          JSON RX Schema validation tool
 Version:          0.2
-Release:          9%{?dist}
+Release:          10%{?dist}
 
 License:          GPLv2
 URL:              https://pypi.python.org/pypi/%{module}
@@ -28,9 +28,17 @@ BuildRequires:    python2-devel
 BuildRequires:    python-setuptools
 BuildRequires:    python-d2to1
 
-%description
-JSON RX Schema validation tool.
+%global _description\
+JSON RX Schema validation tool.\
+
+
+%description %_description
 
+%package -n python2-rxjson
+Summary: %summary
+%{?python_provide:%python_provide python2-rxjson}
+
+%description -n python2-rxjson %_description
 
 %if %{with_python3}
 %package -n python3-rxjson
@@ -81,7 +89,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-rxjson
 %doc README.rst
 %{python2_sitelib}/%{module}*
 
@@ -93,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-10
+- Python 2 subpackage renamed to python2-rxjson
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-salttesting/python-salttesting.spec python-salttesting/python-salttesting.spec.tmp
index aca76d183f..e2ae20088d 100644
--- python-salttesting/python-salttesting.spec
+++ python-salttesting/python-salttesting.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-salttesting
 Version:        2015.7.10
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Testing library for SaltStack projects
 
 Group:          Development/Languages
@@ -17,11 +17,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-mock
+%global _description\
+Required testing tools needed in the several SaltStack projects.
+
+%description %_description
+
+%package -n python2-salttesting
+Summary: %summary
 Requires:       python-unittest2
+Requires:       python-mock
+%{?python_provide:%python_provide python2-salttesting}
 
-%description
-Required testing tools needed in the several SaltStack projects.
+%description -n python2-salttesting %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -33,7 +40,7 @@ rm -rf %{srcname}.egg-info
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-salttesting
 %{python2_sitelib}/*
 %{_bindir}/*
 %doc README.rst AUTHORS.rst
@@ -41,6 +48,10 @@ rm -rf %{srcname}.egg-info
 %license LICENSE
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2015.7.10-6
+- Python 2 subpackage renamed to python2-salttesting
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2015.7.10-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sanction/python-sanction.spec python-sanction/python-sanction.spec.tmp
index 4161eeab01..719235fa62 100644
--- python-sanction/python-sanction.spec
+++ python-sanction/python-sanction.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-sanction
 Version:            0.3.1
-Release:            10%{?dist}
+Release:            11%{?dist}
 Summary:            A simple, lightweight OAuth2 client
 Group:              Development/Libraries
 License:            MIT
@@ -24,35 +24,43 @@ BuildRequires:      python3-nose
 %endif
 
 
-%description
-python-sanction is a lightweight, dead simple client implementation of
-the OAuth2 protocol.
+%global _description\
+python-sanction is a lightweight, dead simple client implementation of\
+the OAuth2 protocol.\
+\
+- Variations on OAuth2 client implementation range from a few hundred LOC\
+  to thousands. In a Pythonic world, there's absolutely no need for this when\
+  simply dealing with the client side of the spec. Currently, sanction sits\
+  at a whopping 65 LOC, one class. This makes the library tremendously easy\
+  to grok.\
+\
+- Most providers have varying levels of diversion from the official spec.\
+  The goal with this library is to either handle these diversions natively,\
+  or expose a method to allow client code to deal with it efficiently and\
+  effectively.\
+\
+- Three of the four OAuth2 flows should be supported by this library.\
+  Currently, only authorization code and client credential flows have been\
+  tested due to lack of other (known) implementations.\
+\
+sanction has been tested with the following OAuth2 providers:\
+\
+* Facebook (include the test API)\
+* Google\
+* Foursquare\
+* bitly\
+* GitHub\
+* StackExchange\
+* Instagram\
+* DeviantArt
 
-- Variations on OAuth2 client implementation range from a few hundred LOC
-  to thousands. In a Pythonic world, there's absolutely no need for this when
-  simply dealing with the client side of the spec. Currently, sanction sits
-  at a whopping 65 LOC, one class. This makes the library tremendously easy
-  to grok.
+%description %_description
 
-- Most providers have varying levels of diversion from the official spec.
-  The goal with this library is to either handle these diversions natively,
-  or expose a method to allow client code to deal with it efficiently and
-  effectively.
+%package -n python2-sanction
+Summary: %summary
+%{?python_provide:%python_provide python2-sanction}
 
-- Three of the four OAuth2 flows should be supported by this library.
-  Currently, only authorization code and client credential flows have been
-  tested due to lack of other (known) implementations.
-
-sanction has been tested with the following OAuth2 providers:
-
-* Facebook (include the test API)
-* Google
-* Foursquare
-* bitly
-* GitHub
-* StackExchange
-* Instagram
-* DeviantArt
+%description -n python2-sanction %_description
 
 %if 0%{?with_python3}
 %package -n python3-sanction
@@ -129,7 +137,7 @@ popd
 
 PYTHONPATH=$(pwd) nosetests
 
-%files
+%files -n python2-sanction
 %doc README.rst LICENSE.txt
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
@@ -142,6 +150,10 @@ PYTHONPATH=$(pwd) nosetests
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-11
+- Python 2 subpackage renamed to python2-sanction
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-scales/python-scales.spec python-scales/python-scales.spec.tmp
index 4644de8719..ecdebc9a62 100644
--- python-scales/python-scales.spec
+++ python-scales/python-scales.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-scales
 Version:        1.0.5
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Stats for Python processes
 
 Group:          Development/Libraries
@@ -37,14 +37,21 @@ BuildRequires:  python3-nose
 %endif
 BuildRequires:  python-setuptools
 
-Requires:       python-six
-Requires:       python-simplejson
+%global _description\
+Tracks server state and statistics, allowing you to see what your server is\
+doing. It can also send metrics to Graphite for graphing or to a file for crash\
+forensics.\
 
-%description
-Tracks server state and statistics, allowing you to see what your server is
-doing. It can also send metrics to Graphite for graphing or to a file for crash
-forensics.
 
+%description %_description
+
+%package -n python2-scales
+Summary: %summary
+Requires:       python-simplejson
+Requires:       python-six
+%{?python_provide:%python_provide python2-scales}
+
+%description -n python2-scales %_description
 
 %if %with python3
 %package -n python3-scales
@@ -100,7 +107,7 @@ cd %{py3dir}
 %endif
 
 
-%files
+%files -n python2-scales
 %{python2_sitelib}/greplin/
 %{python2_sitelib}/scales*.egg-info/
 %{python2_sitelib}/scales*.pth
@@ -117,6 +124,10 @@ cd %{py3dir}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.5-11
+- Python 2 subpackage renamed to python2-scales
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-schedutils/python-schedutils.spec python-schedutils/python-schedutils.spec.tmp
index 65df139928..c71fbd16ed 100644
--- python-schedutils/python-schedutils.spec
+++ python-schedutils/python-schedutils.spec.tmp
@@ -4,7 +4,7 @@
 Summary: Linux scheduler python bindings
 Name: python-schedutils
 Version: 0.5
-Release: 3%{?dist}
+Release: 4%{?dist}
 License: GPLv2
 URL: https://rt.wiki.kernel.org/index.php/Tuna
 Source: https://cdn.kernel.org/pub/software/libs/python/%{name}/%{name}-%{version}.tar.xz
@@ -12,10 +12,18 @@ Group: System Environment/Libraries
 BuildRequires: python-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%description
-Python interface for the Linux scheduler sched_{get,set}{affinity,scheduler}
+%global _description\
+Python interface for the Linux scheduler sched_{get,set}{affinity,scheduler}\
 functions and friends.
 
+%description %_description
+
+%package -n python2-schedutils
+Summary: %summary
+%{?python_provide:%python_provide python2-schedutils}
+
+%description -n python2-schedutils %_description
+
 %prep
 %setup -q
 
@@ -32,7 +40,7 @@ cp -p ptaskset.py %{buildroot}%{_bindir}/ptaskset
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-schedutils
 %defattr(-,root,root)
 %doc COPYING
 %{_bindir}/pchrt
@@ -43,6 +51,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-4
+- Python 2 subpackage renamed to python2-schedutils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-Scriptaculous/python-Scriptaculous.spec python-Scriptaculous/python-Scriptaculous.spec.tmp
index e612400eea..1c153586f6 100644
--- python-Scriptaculous/python-Scriptaculous.spec
+++ python-Scriptaculous/python-Scriptaculous.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-Scriptaculous
 Version:        1.8.2
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        TurboGears, Scriptaculous and Prototype
 
 Group:          Development/Libraries
@@ -16,13 +16,21 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
 BuildRequires:  TurboGears python-devel
-Requires:       TurboGears
 
 
-%description
-TG-Scriptaculous is currently more than Scriptaculous and Prototype packaged 
+%global _description\
+TG-Scriptaculous is currently more than Scriptaculous and Prototype packaged\
 for TurboGears.
 
+%description %_description
+
+%package -n python2-scriptaculous
+Summary: %summary
+Requires:       TurboGears
+%{?python_provide:%python_provide python2-scriptaculous}
+
+%description -n python2-scriptaculous %_description
+
 %prep
 %setup -q -n Scriptaculous-%{version}
 %patch0 -p1
@@ -41,7 +49,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-scriptaculous
 %defattr(-,root,root,-)
 %doc README.txt PKG-INFO
 %{python_sitelib}/Scriptaculous-%{version}-py%{pyver}.egg-info
@@ -49,6 +57,10 @@ rm -rf %{buildroot}
 %{python_sitelib}/scriptaculous/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.2-17
+- Python 2 subpackage renamed to python2-scriptaculous
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-seqdiag/python-seqdiag.spec python-seqdiag/python-seqdiag.spec.tmp
index a736be7471..a3480b23f4 100644
--- python-seqdiag/python-seqdiag.spec
+++ python-seqdiag/python-seqdiag.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{srcname}
 Version:        0.9.5
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        seqdiag generates sequence-diagram images from text
 
 License:        ASL 2.0
@@ -25,13 +25,20 @@ BuildRequires:  python-pillow
 BuildRequires:  python-reportlab
 BuildRequires:  python-setuptools
 
-Requires:       python-blockdiag
-Requires:       python-reportlab
 
+%global _description\
+%(cat %{SOURCE1})\
 
-%description
-%(cat %{SOURCE1})
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-reportlab
+Requires:       python-blockdiag
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
@@ -107,7 +114,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{srcname}
 %doc LICENSE
 %{_bindir}/%{srcname}
 %{_mandir}/man1/%{srcname}.1*
@@ -126,6 +133,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-10
+- Python 2 subpackage renamed to python2-seqdiag
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-setproctitle/python-setproctitle.spec python-setproctitle/python-setproctitle.spec.tmp
index e86a2839f0..cea1ae8fa0 100644
--- python-setproctitle/python-setproctitle.spec
+++ python-setproctitle/python-setproctitle.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-setproctitle
 Version:        1.1.10
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python module to customize a process title
 
 License:        BSD
@@ -20,16 +20,24 @@ BuildRequires:  python-nose
 BuildRequires:  python-tools
 
 
-%description
-Python module allowing a process to change its title as displayed by
-system tool such as ps and top.
+%global _description\
+Python module allowing a process to change its title as displayed by\
+system tool such as ps and top.\
+\
+It's useful in multiprocess systems, allowing to identify tasks each forked\
+process is busy with. This technique has been used by PostgreSQL and OpenSSH.\
+\
+It's based on PostgreSQL implementation which has proven to be portable.\
+\
 
-It's useful in multiprocess systems, allowing to identify tasks each forked
-process is busy with. This technique has been used by PostgreSQL and OpenSSH.
 
-It's based on PostgreSQL implementation which has proven to be portable.
+%description %_description
 
+%package -n python2-%{tarname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{tarname}}
 
+%description -n python2-%{tarname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{tarname}
@@ -87,7 +95,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{tarname}
 %doc README.rst COPYRIGHT
 # For arch-specific packages: sitearch
 %{python2_sitearch}/%{tarname}.so
@@ -103,6 +111,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.10-3
+- Python 2 subpackage renamed to python2-setproctitle
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sexy/python-sexy.spec python-sexy/python-sexy.spec.tmp
old mode 100755
new mode 100644
index aaa82e6453..f6e65e274c
--- python-sexy/python-sexy.spec
+++ python-sexy/python-sexy.spec.tmp
@@ -2,7 +2,7 @@
 %define real_name sexy-python
 Name:           python-sexy
 Version:        0.1.9
-Release:        25%{?dist}
+Release:        26%{?dist}
 
 Summary:        Python bindings to libsexy
 
@@ -17,11 +17,19 @@ BuildRequires:  libsexy-devel >= 0.1.10
 BuildRequires:  python-devel >= 2
 BuildRequires:  pygtk2-devel >= 2.8.0
 BuildRequires:  libxml2-devel
-Requires:  libsexy >= 0.1.10
 
-%description
-sexy-python is a set of Python bindings around libsexy.
+%global _description\
+sexy-python is a set of Python bindings around libsexy.\
+
+
+%description %_description
 
+%package -n python2-sexy
+Summary: %summary
+Requires:  libsexy >= 0.1.10
+%{?python_provide:%python_provide python2-sexy}
+
+%description -n python2-sexy %_description
 
 %prep
 %setup -q -n  %{real_name}-%{version}
@@ -43,7 +51,7 @@ rm -rf $RPM_BUILD_ROOT
 
 
 
-%files
+%files -n python2-sexy
 %defattr(-, root, root, -)
 %doc AUTHORS COPYING ChangeLog NEWS README
 %{python_sitearch}/gtk-2.0/sexy.so
@@ -51,6 +59,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.9-26
+- Python 2 subpackage renamed to python2-sexy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-25
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-shapely/python-shapely.spec python-shapely/python-shapely.spec.tmp
index 31a0421ff8..dfd21ae9f1 100644
--- python-shapely/python-shapely.spec
+++ python-shapely/python-shapely.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-shapely
 Version:        1.5.16
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Manipulation and analysis of geometric objects in the Cartesian plane
 
 Group:          Development/Libraries
@@ -38,16 +38,24 @@ BuildRequires:  python3-matplotlib
 %filter_setup
 }
 
-%description
-Shapely is a package for creation, manipulation, and analysis
-of planar geometry objects – designed especially for developers
-of cutting edge geographic information systems. In a nutshell:
-Shapely lets you do PostGIS-ish stuff outside the context of a
-database using idiomatic Python.
-
-You can use this package with python-matplotlib and numpy.
+%global _description\
+Shapely is a package for creation, manipulation, and analysis\
+of planar geometry objects – designed especially for developers\
+of cutting edge geographic information systems. In a nutshell:\
+Shapely lets you do PostGIS-ish stuff outside the context of a\
+database using idiomatic Python.\
+\
+You can use this package with python-matplotlib and numpy.\
 See README.rst for more information!
 
+%description %_description
+
+%package -n python2-shapely
+Summary: %summary
+%{?python_provide:%python_provide python2-shapely}
+
+%description -n python2-shapely %_description
+
 %if 0%{?with_python3}
 %package -n python3-shapely
 Summary:        Manipulation and analysis of geometric objects in the Cartesian plane
@@ -104,7 +112,7 @@ pushd %{py3dir}
 
 rm -f %{buildroot}%{_prefix}/shapely/_geos.pxi
 
-%files
+%files -n python2-shapely
 %doc CHANGES.txt README.rst CREDITS.txt LICENSE.txt
 %doc docs
 %doc %{python_sitearch}/shapely/examples/
@@ -130,6 +138,10 @@ rm -f %{buildroot}%{_prefix}/shapely/_geos.pxi
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.16-8
+- Python 2 subpackage renamed to python2-shapely
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.16-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-shout/python-shout.spec python-shout/python-shout.spec.tmp
index 02a535936f..e9f2b1440c 100644
--- python-shout/python-shout.spec
+++ python-shout/python-shout.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-shout
 Version:        0.2.1
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Python bindings for libshout 2
 
 Group:          Development/Languages
@@ -14,12 +14,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, libshout-devel
 
-%description
-%{name} allows you to act as a source for icecast 1 and 2, and
-shoutcast. This module includes inline documentation, or see
-the included example.py for a demonstration of its usage.
+%global _description\
+%{name} allows you to act as a source for icecast 1 and 2, and\
+shoutcast. This module includes inline documentation, or see\
+the included example.py for a demonstration of its usage.\
 
 
+%description %_description
+
+%package -n python2-shout
+Summary: %summary
+%{?python_provide:%python_provide python2-shout}
+
+%description -n python2-shout %_description
+
 %prep
 %setup -q -n %{bname}-%{version}
 
@@ -37,13 +45,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-shout
 %defattr(-,root,root,-)
 %doc COPYING PKG-INFO README
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.1-18
+- Python 2 subpackage renamed to python2-shout
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
